<?php
include_once('simpletest/unit_tester.php');
include_once('../classes/ASString.php');

class ASStringTest extends UnitTestCase
{
	function __construct()
	{
		parent::UnitTestCase("ASString Test");
	}
	
	function testCamelize()
	{
		$new_str1 = ASString::camelize('test_string');
		$new_str2 = ASString::camelize('test-string', '-');
		$new_str3 = ASString::camelize('test_string', '_', true);
		
		$this->assertEqual($new_str1, 'TestString');
		$this->assertEqual($new_str2, 'TestString');
		$this->assertEqual($new_str3, 'Test String');
	}
	
	function testDecamelize()
	{
		$new_str1 = ASString::decamelize('TestString');
		
		$this->assertTrue($new_str1, 'test_string');
		$this->assertTrue($new_str1, 'test-string', '-');
	}
}
?>