/**
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
 * License for the specific language governing rights and limitations under the License.
 * 
 * The Original Code is Alchitect Core Server.
 * 
 * The Initial Developer of the Original Code is Darrell Brogdon.
 * Portions created by Darrell Brogdon are Copyright (C) 2002-2009 Darrell Brogdon.
 * All Rights Reserved.
 * 
 * Contributor(s): .
 * 
 * @package AlchitectAdminModule
 */
$(function()
{
	AS_FORM.ignoreForm('create_page_form');
	AS_FORM.ignoreForm('install_addon_form');
	AS_FORM.registerFormSubmittedCallback(admin_form_submitted);
	
	$('#page_name').focus();

	$('.add_on_toggle').click(function(evt)
	{
		$('#' + $(this).attr('id').replace(/for-/, '')).toggle();
	});
});

function admin_form_submitted(data, status)
{
}