<?php
/**
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
 * License for the specific language governing rights and limitations under the License.
 * 
 * The Original Code is Alchitect Core Server.
 * 
 * The Initial Developer of the Original Code is Darrell Brogdon.
 * Portions created by Darrell Brogdon are Copyright (C) 2002-2009 Darrell Brogdon.
 * All Rights Reserved.
 * 
 * Contributor(s): .
 * 
 * @package AlchitectUserAccountModule
 */
$data = ASPageRequest::instance()->pageData();
?>
<script src="<?=BASE_PATH?>/javascripts/user_account/edit.js"
	   type="text/javascript"></script>

<h1 align="center">Account Information</h1>

<div align="center">
	<form id="password_change_form"
	  method="post"
	  action="<?=BASE_PATH?>/Alchitect/server.php">
		<table border="0" cellpadding="0" cellspacing="4">
			<tbody>
				<tr>
					<td style="text-align:right;">
						<b>Email Address:</b>
					</td>
					<td>
						<input type="text"
							   name="email_address"
							  value="<?=$data['email_address']?>"
						/>
					</td>
				</tr>
				<tr>
					<td style="text-align:right;">
						<b>Password:</b>
					</td>
					<td>
						<input type="password"
								 id="password"
							   name="password"
							onfocus="showPasswordConfirmationRow();"
						/>
					</td>
				</tr>
				<tr id="password_confirmation_row" style="display:none;">
					<td style="text-align:right;">
						<b>Confirm:</b>
					</td>
					<td>
						<input type="password"
								 id="confirm_password"
							   name="confirm_password"
							 onblur="togglePasswordConfirmationRow();"
						/>
					</td>
				</tr>
				<tr>
					<td style="text-align:right;">
						<b>Registration Date:</b>
					</td>
					<td>
						<?=$data['created_on']?>
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>
						<input type="submit" name="submit" value="Save" />
						<input type="reset"
							   name="reset"
							  value="Cancel"
							onclick="window.history.back();"
						/>
						<?php if ($Controller->userIsAnAdmin()): ?>
						<input type="submit"
							   name="submit"
							  value="Delete"
							onclick="confirmDelete()"
						/>
						<?php endif; ?>
						<input type="hidden"
								 id="form_action"
							   name="form_action"
							  value="update"
						/>
					</td>
				</tr>
			</tbody>
		</table>
	</form>
</div>