/**
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the 
 * License for the specific language governing rights and limitations under the License.
 * 
 * The Original Code is Alchitect Core Server.
 * 
 * The Initial Developer of the Original Code is Darrell Brogdon.
 * Portions created by Darrell Brogdon are Copyright (C) 2002-2009 Darrell Brogdon.
 * All Rights Reserved.
 * 
 * Contributor(s): .
 * 
 * @package AlchitectAdminModule
 */
$(function()
{
	AS_FORM.registerFormSubmittedCallback(login_form_submitted);
});

function login_form_submitted(data, status)
{
	if (false == data.value)
	{
		$('#error').html('Login Failed - Please try again').show();
	}
	else if ('Exception' == data.type)
	{
		$('#error').html('ERROR (' + data.code + '): ' + data.value).show();
	}
	else
	{
		$.cookie('user_id',		data.result.user_id);
		$.cookie('user_name',	data.result.email_address);
		$.cookie('auth_key',	data.result.auth_key);
		
		window.location = '/app/admin';
	}
}