<?php
if (is_null(ASSession::authUser()))
{
	header('Location: ' . APP_PATH . '/admin/login');
}
?>
<script type="text/javascript" src="<?=BASE_PATH?>/javascripts/admin/admin.js"></script>
<div align="center">
    <h2 style="color:#233447">Alchitect Admin</h2>

	<!-- Actions -->
	<div class="default">
		<div class="add_on_title_header">
			Create Page:
		</div>
		<div class="add_on_detail" style="padding:5px;">
			<form id="create_page_form" method="post" action="<?=APP_PATH?>/admin/" enctype="multipart/form-data">
				<input type="hidden" name="MAX_FILE_SIZE" value="30000" />
				<div>
					<div style="float:left; text-align:right; margin-right:5px; width:100px;">
						<label for="page_name">Page Name</label>
					</div>
					<div>
						<input type="text" name="page_name" value="" id="page_name" />
					</div>
				</div>
				<div>
					<div style="float:left; text-align:right; margin-right:5px; width:100px;">
						<label for="from_file">From File</label>
					</div>
					<div>
						<input type="file" name="from_file" value="" id="from_file" />
					</div>
				</div>
				<div>
					<div style="float:left; text-align:right; margin-right:5px; width:100px;">
						&nbsp;
						<input type="hidden" id="form_action" name="form_action" value="insert" />
						<input type="hidden" name="page" value="<?=ASPageRequest::instance()->pageName()?>" />
					</div>
					<div>
						<input type="submit" name="save_page" id="save_page" value="Create" />
					</div>
				</div>
			</form>
		</div>
		
		<?php if ('' != $Controller->pages_options): ?>
		<br />
		
		<div class="add_on_title_header">
			Create Action:
		</div>
		<div class="add_on_detail" style="padding:5px;">
			<form id="create_action_form" method="post" action="javascript: void(0)">
				<label for="page">For Page</label>
				<select name="page" id="page">
					<?=$Controller->pages_options?>
				</select>
				<br />
				<label for="action_name">Action Name</label>
				<input type="text" name="action_name" value="" id="action_name" />
				<input type="hidden" name="page" value="<?=ASPageRequest::instance()->pageName()?>" />
				<input type="submit" id="save_action" value="Create" />
			</form>
		</div>
		<?php endif; ?>
		
		<!--
		<br />
		
		<div class="add_on_title_header">
			Install Add-On:
		</div>
		<div class="add_on_detail" style="padding:5px;">
			<form id="install_addon_form" method="post" action="<?=APP_PATH?>/admin/" enctype="multipart/form-data">
				<input type="hidden" name="MAX_FILE_SIZE" value="5000000" />
				<div>
					<div style="float:left; text-align:right; margin-right:5px; width:100px;">
						<label for="page_name">Add-On File</label>
					</div>
					<div>
						<input type="file" name="add_on_file" value="" id="add_on_file" />
					</div>
				</div>
				<div>
					<div style="float:left; text-align:right; margin-right:5px; width:100px;">
						&nbsp;
						<input type="hidden" id="form_action" name="form_action" value="insert" />
						<input type="hidden" name="page" value="<?=ASPageRequest::instance()->pageName()?>" />
					</div>
					<div>
						<input type="submit" name="save_page" value="Install" id="save_page" />
					</div>
				</div>
			</form>
			<div style="font-size:0.85em; font-style:italic; text-align:center;">
				Maximum file size is 5Mb.
			</div>
		</div>
		-->
	</div>
	
	<br />

	<!-- Add-On's -->
	<!--
	<div class="default">
		<h3 align="center">Add-Ons</h3>
		
		<?php
		$add_ons = ASConfig::instance()->addOns();
		
		if (sizeof($add_ons)):
			foreach ($add_ons as $add_on):
		?>
		<div class="add_on_title_header">
			<span class="add_on_title add_on_toggle" id="for-<?=$add_on['short_name']?>">
				<?=$add_on['name']?>
			</span>
			&nbsp;&nbsp;&nbsp;&nbsp;
			Version <?=$add_on['version']?>
		</div>
		<div class="add_on_detail" id="<?=$add_on['short_name']?>" style="display:none;">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td align="right" width="100px" style="font-weight:bold;">
						Author
					</td>
					<td>
						&nbsp;&nbsp;
						<?=$add_on['author']['name']?> &lt;<?=$add_on['author']['email']?>&gt;
					</td>
				</tr>
				<tr>
					<td align="right" style="font-weight:bold;">
						Copyright
					</td>
					<td>
						&nbsp;&nbsp;
						<?=preg_replace('/\([cC]\)/', '&copy;', $add_on['copyright'])?>
					</td>
				</tr>
				<tr>
					<td align="right" style="font-weight:bold;">
						Web Site
					</td>
					<td>
						&nbsp;&nbsp;
						<a href="<?=$add_on['web_site']?>"><?=$add_on['web_site']?></a>
					</td>
				</tr>
				<tr>
					<td align="right" style="font-weight:bold;">
						License
					</td>
					<td>
						&nbsp;&nbsp;
						<a href="<?=$add_on['license']['web_site']?>"><?=$add_on['license']['name']?></a>
					</td>
				</tr>
			</table>
		</div>
		<?php
			endforeach;
		else:
			echo 'None Installed';
		endif;
		?>
	</div>
	
	<br />
    -->

    <a href="http://alchitect.com"><img src="<?=BASE_PATH?>/images/Alchitect_Powered_By_135x42.png" width="135" height="42" alt="Powered By Alchitect" border="0" /></a>

	<br />
	
	<div class="copyright">
		&copy;2002-<?=date('Y')?> Alchisoft, LLC
	</div>
</div>
